package speiger.src.coreengine;

import org.lwjgl.glfw.GLFW;

import speiger.src.coreengine.rendering.input.devices.Joystick;
import speiger.src.coreengine.rendering.input.devices.Joystick.ButtonData;
import speiger.src.coreengine.utils.eventbus.EventBus;

public class NewInputTest {
	
	EventBus bus = new EventBus();
	
	public static void main(String[] args) {
		new NewInputTest().run();
	}
	
	public void run() {
		GLFW.glfwInit();
		Joystick.INSTANCE.init(bus);
		ButtonData data = new ButtonData();
		while(true) {
			Joystick.INSTANCE.handleJoystick(GLFW.GLFW_JOYSTICK_1, data);
			try {
				Thread.sleep(100);
			}
			catch(InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}
